# posix_getpid

(PHP 4, PHP 5, PHP 7)

posix_getpid — Return the current process identifier

### Description

posix_getpid ( void ) : int

Return the process identifier of the current process.

### Return Values

Returns the identifier, as an integer.

### Examples

Example #1 Example use of posix_getpid()

`<?php
echo posix_getpid(); //8805
?>`

### See Also

- posix_kill() - Send a signal to a process
- POSIX man page GETPID(2)